Subject: Re: [PATCH 2/2] myri10ge: use ioremap_wc

From: Russell King - ARM Linux <[email-masked]>
Date: Mon, 11 Aug 2008 10:09:25 +0100

On Sun, Aug 10, 2008 at 03:38:44PM +0300, Martin Michlmayr wrote:
> * Brice Goglin <[email-masked]> [2008-08-10 13:59]:
> > > This change leads to a compilation failure on (at least) arm:
> > >
> > >   CC [M]  drivers/net/myri10ge/myri10ge.o
> > > drivers/net/myri10ge/myri10ge.c: In function ???myri10ge_probe???:
> > > drivers/net/myri10ge/myri10ge.c:3725: error: implicit declaration of function ???ioremap_wc???
> > > drivers/net/myri10ge/myri10ge.c:3725: warning: assignment makes pointer from integer without a cast
> > > make[3]: *** [drivers/net/myri10ge/myri10ge.o] Error 1
> > 
> > Isn't arm's asm/io.h supposed to get
> > #ifndef ARCH_HAS_IOREMAP_WC
> > #define ioremap_wc ioremap_nocache
> > #endif
> > from asm-generic/iomap.h since ARCH_HAS_IOREMAP_WC isn't defined on arm ?
> 
> arch/arm/include/asm/io.h doesn't include asm-generic/iomap.h.  When I
> add this includes, myri10ge compiles.
> 
> Russell, any comments on the change below?

Only that I'm not including asm-generic/iomap.h - we have our own
iomap implementation, and the generic stuff in there isn't applicable
to ARM.

I believe Lennert is sorting out ioremap_wc().